Get ticket details
curl --request GET \
--url https://api.series.hr/tickets/get/{ticketId} \
--header 'apikey: <api-key>'import requests
url = "https://api.series.hr/tickets/get/{ticketId}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.series.hr/tickets/get/{ticketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tickets
Get Ticket
Retrieve detailed information about a specific ticket
GET
/
tickets
/
get
/
{ticketId}
Get ticket details
Requires Premium or Enterprise subscription
Overview
Retrieve detailed information about a specific ticket, including all messages, claim status, and game report information if applicable.Path Parameters
string
required
Ticket ID (can be MongoDB _id or TicketId)
Response
boolean
Whether the request was successful
Example
curl -X GET "https://api.series.hr/tickets/get/TICKET-1234567890-ABCD" \
-H "apikey: YOUR_API_KEY"
const response = await fetch('https://api.series.hr/tickets/get/TICKET-1234567890-ABCD', {
headers: {
'apikey': 'YOUR_API_KEY'
}
});
const data = await response.json();
local HttpService = game:GetService("HttpService")
local response = HttpService:RequestAsync({
Url = "https://api.series.hr/tickets/get/TICKET-1234567890-ABCD",
Method = "GET",
Headers = {
["apikey"] = "YOUR_API_KEY"
}
})
local data = HttpService:JSONDecode(response.Body)
import requests
response = requests.get(
'https://api.series.hr/tickets/get/TICKET-1234567890-ABCD',
headers={'apikey': 'YOUR_API_KEY'}
)
data = response.json()
Response Example
{
"success": true,
"data": {
"Ticket": {
"_id": "...",
"TicketId": "TICKET-1234567890-ABCD",
"Subject": "Help with ranking",
"Category": "support",
"Department": "support-dept",
"Status": "in-progress",
"Priority": "high",
"Author": {
"UserId": 123456789,
"Username": "player123",
"DisplayName": "Player Name",
"AvatarUrl": "https://..."
},
"Content": {
"msj_1234567890_abc123": {
"Content": "I need help with my rank",
"Author": 123456789,
"Type": "author_message",
"Timestamp": "2025-01-15T10:30:00.000Z"
}
},
"ClaimedBy": 987654321,
"ClaimedByUser": {
"UserId": 987654321,
"DisplayName": "Staff Member",
"Username": "staff123"
},
"GameReport": false,
"CreatedAt": "2025-01-15T10:30:00.000Z",
"UpdatedAt": "2025-01-15T11:45:00.000Z"
}
}
}
Error Responses
403 - Premium Required
403 - Premium Required
{
"success": false,
"error": {
"code": 403,
"message": "Tickets module requires a Premium or Enterprise subscription"
}
}
403 - Module Not Enabled
403 - Module Not Enabled
{
"success": false,
"error": {
"code": 403,
"message": "Tickets module is not enabled for this workspace"
}
}
404 - Ticket Not Found
404 - Ticket Not Found
{
"success": false,
"error": {
"code": 404,
"message": "Ticket not found"
}
}
Rate Limit
25 requests per second per API key⌘I

